Summary:	Utilities for working with md5sum implanted in ISO images
Name:		isomd5sum
Version:	1.0.10
Release:	%mkrel 2
License:	GPLv2+
Group:		Archiving/Cd burning
URL:		http://git.fedorahosted.org/git/?p=isomd5sum.git;a=summary
Source0:	http://fedorahosted.org/releases/i/s/isomd5sum/%{name}-%{version}.tar.bz2
BuildRequires:	popt-devel

%description
The isomd5sum package contains utilities for implanting and verifying
an md5sum implanted into an ISO9660 image.

%package devel
Summary: Development headers and library for using isomd5sum 
Group: Development/C
Requires: %{name} = %{version}

%description devel
This contains header files and a library for working with the isomd5sum
implanting and checking.

%package -n python-isomd5sum
Summary: Python bindings for isomd5sum
BuildRequires: python-devel
Group: Development/Python

%description -n python-isomd5sum
Python bindings for isomd5sum.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -Wno-strict-aliasing"
make checkisomd5 implantisomd5 pyisomd5sum.so

%install
make DESTDIR=$RPM_BUILD_ROOT install-bin install-devel install-python

%files
%defattr(-,root,root,-)
%doc COPYING
%_bindir/implantisomd5
%_bindir/checkisomd5
%_mandir/man*/*

%files devel
%defattr(-,root,root,-)
%_includedir/*.h
%_libdir/*.a

%files -n python-isomd5sum
%defattr(-,root,root,-)
%{python_sitearch}/pyisomd5sum.so


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.0.10-2.mga4
+ Revision: 531284
- Mageia 4 Mass Rebuild

* Sat Aug 03 2013 fwang <fwang> 1.0.10-1.mga4
+ Revision: 462802
- new version 1.0.10

  + dams <dams>
    - clean specfile

* Sat Jan 12 2013 umeabot <umeabot> 1.0.9-3.mga3
+ Revision: 354577
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 tv <tv> 1.0.9-2.mga3
+ Revision: 323368
- enable python binding
- use our CFLAGS

* Fri Nov 30 2012 tv <tv> 1.0.9-1.mga3
+ Revision: 323303
- new release (drop mdv patches)
- new release
- new release
- new release
- kill %%clean

* Thu Sep 08 2011 tv <tv> 1.0.7-1.mga2
+ Revision: 141479
- new release
- include patches from mdv:
- patch 0: compile with make
- patch 1: declare variable as unused
- patch 2: disable -Werror
- imported package isomd5sum


* Fri Feb 19 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.0.5-2mdv2010.1
+ Revision: 508385
- fix rpmlint warning on spec (mixed of spaces and tabs)

* Sun Dec 20 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.5-1mdv2010.1
+ Revision: 480256
- import isomd5sum


* Sun Dec 20 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.5-1mdv2010.1
- initial release
